use serde::Deserialize;

use crate::model::key_page::StyleByStateMap;

#[derive(Debug, Deserialize)]
pub struct SwitchConfig {
    pub name: String,
    #[serde(default)]
    pub style: StyleByStateMap<SwitchState>,
}

#[derive(Debug, Deserialize)]
pub struct ButtonConfig {
    pub name: String,
    #[serde(default)]
    pub style: StyleByStateMap<ButtonState>,
}

#[derive(Debug, Eq, PartialEq, Hash, Deserialize)]
#[serde(rename_all = "kebab-case")]
pub enum SwitchState {
    Unavailable,
    On,
    Off,
}

#[derive(Debug, Eq, PartialEq, Hash, Deserialize)]
#[serde(rename_all = "kebab-case")]
pub enum ButtonState {
    Unavailable,
    Available,
}
