use serde::Deserialize;

use crate::model::key_page::StyleByStateMap;

#[derive(Debug, Deserialize)]
pub struct ShuffleConfig {
    #[serde(default)]
    pub style: StyleByStateMap<ShuffleState>,
}

#[derive(Debug, Deserialize)]
pub struct RepeatConfig {
    #[serde(default)]
    pub style: StyleByStateMap<RepeatState>,
}

#[derive(Debug, Eq, PartialEq, Hash, Deserialize)]
#[serde(rename_all = "kebab-case")]
pub enum ShuffleState {
    Inactive,
    Active,
}

#[derive(Debug, Eq, PartialEq, Hash, Deserialize)]
#[serde(rename_all = "kebab-case")]
pub enum RepeatState {
    Inactive,
    Single,
    All,
}
