use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Config {
    pub pattern: VibrationPattern,
}

#[derive(Debug, Eq, PartialEq, Deserialize)]
#[serde(rename_all = "kebab-case")]
pub enum VibrationPattern {
    Short,
    Medium,
    Long,
    Low,
    ShortLow,
    ShortLower,
    Lower,
    Lowest,
    DescendSlow,
    DescendMed,
    DescendFast,
    AscendSlow,
    AscendMed,
    AscendFast,
    RevSlowest,
    RevSlow,
    RevMed,
    RevFast,
    RevFaster,
    RevFastest,
    RiseFall,
    Buzz,
    Rumble5,
    Rumble4,
    Rumble3,
    Rumble2,
    Rumble1,
    VeryLong,
}
